GNU Binutils 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1644498 漏洞类型 缓冲区错误
发布时间 2019-06-26 更新时间 2019-06-26
CVE编号 CVE-2019-12972 CNNVD-ID CNNVD-201906-1013
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://www.securityfocus.com/bid/108903
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201906-1013
|漏洞详情
GNU Binutils(GNU Binary Utilities或binutils)是GNU计划的开发的一组编程语言工具程序。该程序主要用于处理多种格式的目标文件,并提供有连接器、汇编器和其他用于目标文件和档案的工具。 GNU Binutils 2.32版本中的Binary File Descriptor (BFD) library (aka libbfd)的bfd.c文件的‘ _bfd_doprnt’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:sourceware.org

链接:https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=890f750a3b053532a4b839a2dd6243076de12031


来源:sourceware.org

链接:https://sourceware.org/bugzilla/show_bug.cgi?id=24689


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-12972